Subject: Re: bug#59829: [PATCH core-updates] gnu: wlroots: Add propagated input xcb-util-renderutil

From: Andy Tai <[email-masked]>
Date: Mon, 16 Jan 2023 13:34:21 -0800

hi, I will update the patch moving xcb-util-renderutil to inputs....
that will probably be safer.

On Mon, Jan 16, 2023 at 7:01 AM Maxim Cournoyer
<[email-masked]> wrote:
>
> Hi Andy,
>
> Andy Tai <[email-masked]> writes:
>
> > I added it for XWayland, which requires this if XWayland support is
> > included in wlroots, which I believe shall be there.
>
> It's good to know the reason behind the change, but as Simon said for
> propagated inputs, we need a clear, exact understanding of why it is so,
> as it's otherwise preferred to simple use simple inputs, and sometimes
> wrapping.
>
> Valid reasons currently include: references in public headers or
> mentioned in Requires* in pkg-config files (those ending in '.pc'), or
> for languages such as Python that lack a way to register dependencies in
> binaries like C or C++ can (via RUNPATH in elf).
>
> Can you spot which of the above it is?
>
> --
> Thanks,
> Maxim

-- 
Andy Tai, [email-masked]  Skype: licheng.tai, Line.me: andy_tai,
WeChat: andytai1010
Year 2023 民國112年
自動的精神力是信仰與覺悟
自動的行為力是勞動與技能